PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceView

View a PetscDevice

### Synopsis

    PetscErrorCode PetscDeviceView(PetscDevice device, PetscViewer viewer)

Collective on viewer, Asynchronous

### Input Parameters

| device | - The PetscDevice to view
| viewer | - The PetscViewer to view the device with (NULL for PETSC_VIEWER_STDOUT_WORLD)

### See Also

PetscDevice, PetscDeviceCreate(), PetscDeviceConfigure(), PetscDeviceDestroy()

### Level

beginner

### Location

src/sys/objects/device/interface/device.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages